
From: Dmitry Torokhov <dtor_core@ameritech.net>

While working on my GPM patches found out that EV_MSC was forgotten...



 drivers/input/evdev.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/input/evdev.c~evdev_ioctl-fix drivers/input/evdev.c
--- 25/drivers/input/evdev.c~evdev_ioctl-fix	2003-08-27 00:54:50.000000000 -0700
+++ 25-akpm/drivers/input/evdev.c	2003-08-27 00:54:50.000000000 -0700
@@ -305,6 +305,7 @@ static int evdev_ioctl(struct inode *ino
 					case EV_KEY: bits = dev->keybit; len = KEY_MAX; break;
 					case EV_REL: bits = dev->relbit; len = REL_MAX; break;
 					case EV_ABS: bits = dev->absbit; len = ABS_MAX; break;
+					case EV_MSC: bits = dev->mscbit; len = MSC_MAX; break;
 					case EV_LED: bits = dev->ledbit; len = LED_MAX; break;
 					case EV_SND: bits = dev->sndbit; len = SND_MAX; break;
 					case EV_FF:  bits = dev->ffbit;  len = FF_MAX;  break;

_
